package com.ruoyi.cms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.HashMap;
import java.util.List;

import com.ruoyi.cms.domain.Job;
import com.ruoyi.cms.domain.JobApply;
import com.ruoyi.cms.domain.vo.CandidateVO;
import com.ruoyi.common.core.domain.entity.AppUser;
import org.apache.ibatis.annotations.Param;

/**
 * 岗位申请Mapper接口
 * @author lishundong
 * @date 2024-09-04
 */
public interface JobApplyMapper extends BaseMapper<JobApply>
{
    /**
     * 查询岗位申请列表
     * 
     * @param jobApply 岗位申请
     * @return 岗位申请集合
     */
    public List<JobApply> selectJobApplyList(JobApply jobApply);


    List<Job> applyJob(Long userId);

    List<CandidateVO> candidates(Long jobId);

    HashMap<String,Integer> trendChart(JobApply jobApply);

    List<CandidateVO> selectAppUserList(Job job);

    List<CandidateVO> selectApplyJobUserList(AppUser appUser);

    List<Job> selectJobApplyListJob(JobApply jobApply);

    public int updateJobZphApply(JobApply jobApply);

    public List<Job> selectCencalList(JobApply jobApply);

    public int applyJobCencal(JobApply jobApply);

    int applyCencalCount(@Param("userId") Long userId);
}
